require 'dialog'

class HelloDialog < Dialog
  def init_dialog
    define_dialog do

      init_screen do 
        text_field(:name)
      end.process(:ok) do 
        if @name and @name.size > 0
          @greeting = "Hello, #@name !"
          next_screen(:hello) 
        else
          message('input your name please')
        end
      end

      screen(:hello) do 
        span(:greeting)
      end.process(:ok) do 
        init_session
      end
    end
  end
end

if __FILE__ == $0
  httpd = WEBrick::HTTPServer.new({:Port => 12345})
  httpd.mount('/hello', DialogServlet, HelloDialog)
  trap('INT') do
    httpd.shutdown
  end
  trap('TERM') do
    httpd.shutdown
  end
  httpd.start
end
