class CalenderController < ApplicationController
  include Amrita2
  def index
    y = m = nil
    if @params['d'] =~ /(\d\d\d\d)(\d+)/
      y, m = $1, $2
    else
      y, m = 2005,4
    end
    set_navigation(y.to_i,m.to_i)
    set_calender(y.to_i,m.to_i)
  end

  def set_calender(y,m)
    @cal = TDL::Calender::Data.new(y,m) do |d|
      get_schedule(d)
    end
  end

  def set_navigation(y,m)
    yp = yn = y
    mp = m - 1
    if mp <= 0
      yp -= 1
      mp = 12
    end
    mn = m.to_i + 1
    if mn > 12
      yp += 1
      mn = 1
    end

    @navigation = { 
      :prev => a(:href=>"?d=#{yp}#{mp}") { '<<<' },
      :next => a(:href=>"?d=#{yp}#{mn}", :align=>'right') { '>>>' }
    }
  end

  def get_schedule(d)
    sch = Schedule.find_by_date(d)
    if sch
      { 
        :sched => { 
          :link => a(:href=>sch.url) {
            sch.text 
          },
        },
        :d => d.day
      }
    else
      { 
        :d => d.day
      }
    end
  end
end
