class HelloController < ApplicationController
  include Amrita2
  attr_reader :language_list
  def index
    @title = 'Hello ROR with Amrita2'
    @body = 'Using Amrita2 with ROR is easy and fun!'
    @contents = [
      ['index', 'hello world'],
      ['index_tdl', 'TDL version hello world'],
      ['languages', 'languages: making talbe with po_method'],
      ['languages_tdl', 'TDL version languages'],
    ]
  end

  def index_tdl
    index
    @contents = @contents.collect do |url, text|
      { :link=>a(:href=>url) { text } }
    end
  end

  def languages
    @language_list = Language.find_all
  end

  def languages_tdl
    languages
  end

  def insert
    #STDOUT.puts @params.inspect
    l = @params['language']
    l['birthday'] = params_to_date(l, 'birthday')
    Language.add(l)
    redirect_to :controller => "hello", :action => "languages"
  end

  def insert_tdl
    l = @params['language']
    l['birthday'] = params_to_date(l, 'birthday')
    Language.add(l)
    redirect_to :controller => "hello", :action => "languages_tdl"
  end

private
  # original from http://moriq.tdiary.net/20041107.html
  def params_to_date(param, name)
    STDOUT.puts param.inspect
    Date.new(*(1..3).map{ |i| param["#{name}(#{ i}i)"].to_i })
  rescue
    nil
  end

end
