module HelloHelper
  include Amrita2
  include Amrita2::Runtime

  def languages_setup_template(template)
    tmpl = Amrita2::TemplateText.new(template)
    tmpl.amrita_id = 'amrita:id'
    tmpl
  end
  alias languages_tdl_setup_template languages_setup_template 

  def languages_po
    b = binding
    { 
      :language_list => controller.language_list.collect do |l|
        { 
          :name => { :link => a(:href=>l.url) { l.name } },
          :creator => l.creator,
          :birthday => l.birthday
        }
      end,
      :form => b,
    }
  end

  def languages_tdl_po
    b = binding
    { 
      :languages => controller.languages.collect do |l|
        { 
          :name => { :link => a(:href=>l.url) { l.name } },
          :creator => l.creator,
          :birthday => l.birthday
        }
      end,
      :form => a(:action => url_for(:action => "insert_tdl")) do
         { 
           :name => b,
           :url => b,
           :creator => b,
           :birthday => b,
         }
      end
    }
  end

end
