= A2TDL: Amrita2 Template Definition Languge

== using A2TDL with HTML template

=== sample source

--- rubysrc ../sample/spec/a2tdl.rb

=== description

--- rubyinline
    #
      div(:body, :generate_template=>true) do 
        em(:amrita2)
        span(' is a html template libraly for ')
        a_link(:ruby)
      end

This fragment inserted in Template Spec is a A2TDL definition.

The top level of A2TDL must be div or html desribed below.
It can have any tags.

If the first paramater is a Symbol, it means that the element is dynamic.

If the first paramater is a String, it is a static.

There are many Macros in A2TDL.

:div
  (not documented)
:html
  (not documented)
:a_link
  (not documented)
:text_field
  (not documented)
:hidden_field
  (not documented)
:password_field
  (not documented)
:submit
  (not documented)
:check_box
  (not documented)
:select
  (not documented)
:radio_buttons
  (not documented)
:erb
  (not documented)
:grid_form
  (not documented)
:simple_table
  (not documented)
:simple_calender
  (not documented)


== using A2TDL without HTML template

A2TDL has a Macro html for top level.

Using it, you can use Amrita2 without HTML template.

--- rubysrc ../sample/spec/a2tdl_hello.rb



